Retrieve the values of a Meter Dimension. - m3ter Documentation

Retrieve the values of a Meter Dimension.

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '  \
{
  "meterCode": "<string>",
  "dimensionName": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "attributes": [\
    "<string>"\
  ],
  "limit": 123
}
'```

### Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"

payload = { "meterCode": "", "dimensionName": "", "startDate": "2023-11-07T05:31:56Z", "endDate": "2023-11-07T05:31:56Z", "attributes": [""], "limit": 123 } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript (Fetch API)

const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: JSON.stringify({ meterCode: '', dimensionName: '', startDate: '2023-11-07T05:31:56Z', endDate: '2023-11-07T05:31:56Z', attributes: [''], limit: 123 }) };

fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP
"https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions",\ CURLOPT_RETURNTRANSFER => true,\ CURLOPT_ENCODING => "",\ CURLOPT_MAXREDIRS => 10,\ CURLOPT_TIMEOUT => 30,\ CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\ CURLOPT_CUSTOMREQUEST => "POST",\ CURLOPT_POSTFIELDS => json_encode([\ 'meterCode' => '',\ 'dimensionName' => '',\ 'startDate' => '2023-11-07T05:31:56Z',\ 'endDate' => '2023-11-07T05:31:56Z',\ 'attributes' => [\ ''\ ],\ 'limit' => 123\ ]),\ CURLOPT_HTTPHEADER => [\ "Authorization: Bearer ",\ "Content-Type: application/json"\ ],\ ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"

payload := strings.NewReader("{\n "meterCode": "",\n "dimensionName": "",\n "startDate": "2023-11-07T05:31:56Z",\n "endDate": "2023-11-07T05:31:56Z",\n "attributes": [\n ""\n ],\n "limit": 123\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Kotlin

HttpResponse response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n "meterCode": "",\n "dimensionName": "",\n "startDate": "2023-11-07T05:31:56Z",\n "endDate": "2023-11-07T05:31:56Z",\n "attributes": [\n ""\n ],\n "limit": 123\n}") .asString();


### Ruby

require 'uri' require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n "meterCode": "",\n "dimensionName": "",\n "startDate": "2023-11-07T05:31:56Z",\n "endDate": "2023-11-07T05:31:56Z",\n "attributes": [\n ""\n ],\n "limit": 123\n}"

response = http.request(request) puts response.read_body


### Response

#### 200
Returns a Meter's Dimensions from the Data Warehouse.

{ "meterCode": "", "dimensionName": "", "dimensionValues": [
{
"dimensionAttribute": "",
"dimensionValue": ""
}
] }


#### 4XX and 5XX

{ "message": "" }